Bug 1469767 - Review Request: systemd-swap - Creating hybrid swap space from zram swaps, swap files and swap partitions
Summary: Review Request: systemd-swap - Creating hybrid swap space from zram swaps, sw...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1341662
TreeView+ depends on / blocked
 
Reported: 2017-07-11 19:38 UTC by Raphael Groner
Modified: 2019-04-16 17:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-16 17:55:26 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1602846 None CLOSED Review Request: zram - ZRAM for swap config and services for Fedora 2019-06-21 22:00:00 UTC

Internal Links: 1602846

Description Raphael Groner 2017-07-11 19:38:45 UTC
Spec URL: http://raphgro.fedorapeople.org//systemd-swap.spec
SRPM URL: http://raphgro.fedorapeople.org//systemd-swap-3.3.0-1.fc26.src.rpm

Description:
Manage swap on:
    zswap - Enable/Configure
    zram - Autoconfigurating
    files - (sparse files for saving space, support btrfs)
    block devices - auto find and do swapon
It is configurable in /etc/systemd/swap.conf

Comment 1 Raphael Groner 2017-07-11 19:38:50 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=20464780

Comment 2 Raphael Groner 2017-07-11 19:42:53 UTC
I am not lucky with the package name, though it's the name of the upstream project and I try to follow the addon guidelines. Although, the project is not part of systemd core and we don't have special guidelines for systemd addons.
https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#Addon_Packages

Comment 3 František Zatloukal 2017-08-08 10:04:58 UTC
Requires: kernel >= 2.6.37.1 # Remove kernel version check, it's not possible to install such an ancient kernel in Fedora. Also, you should depend on one of the kernel packages, not "kernel" itself.

Replace: 
> BuildRequires: systemd-units
> 
> Requires(post): systemd-sysv
> Requires(post): systemd-units
> Requires(preun): systemd-units
> Requires(postun): systemd-units
> 
> Requires: systemd

with

> %{?systemd_requires}
> BuildRequires: systemd

You have wrong service name: mkzram.service should be systemd-swap.service . (mkzram.service does not exist in this package).


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/fanys/review/1469767-systemd-
     swap/licensecheck.txt
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: systemd-swap-3.3.0-1.fc25.noarch.rpm
          systemd-swap-3.3.0-1.fc25.src.rpm
systemd-swap.noarch: W: spelling-error Summary(en_US) zram -> ram, tram, cram
systemd-swap.noarch: W: spelling-error %description -l en_US zswap -> swap, z swap
systemd-swap.noarch: W: spelling-error %description -l en_US zram -> ram, tram, cram
systemd-swap.noarch: W: spelling-error %description -l en_US btrfs -> barfs
systemd-swap.noarch: W: spelling-error %description -l en_US swapon -> swap on, swap-on, Swanson
systemd-swap.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
systemd-swap.noarch: W: incoherent-version-in-changelog 3.0.0-1 ['3.3.0-1.fc25', '3.3.0-1']
systemd-swap.noarch: W: no-manual-page-for-binary systemd-swap
systemd-swap.src: W: spelling-error Summary(en_US) zram -> ram, tram, cram
systemd-swap.src: W: spelling-error %description -l en_US zswap -> swap, z swap
systemd-swap.src: W: spelling-error %description -l en_US zram -> ram, tram, cram
systemd-swap.src: W: spelling-error %description -l en_US btrfs -> barfs
systemd-swap.src: W: spelling-error %description -l en_US swapon -> swap on, swap-on, Swanson
systemd-swap.src: W: spelling-error %description -l en_US conf -> con, cone, cons
2 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
systemd-swap.noarch: W: spelling-error Summary(en_US) zram -> ram, tram, cram
systemd-swap.noarch: W: spelling-error %description -l en_US zswap -> swap, z swap
systemd-swap.noarch: W: spelling-error %description -l en_US zram -> ram, tram, cram
systemd-swap.noarch: W: spelling-error %description -l en_US btrfs -> barfs
systemd-swap.noarch: W: spelling-error %description -l en_US swapon -> swap on, swap-on, Swanson
systemd-swap.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
systemd-swap.noarch: W: incoherent-version-in-changelog 3.0.0-1 ['3.3.0-1.fc25', '3.3.0-1']
systemd-swap.noarch: W: no-manual-page-for-binary systemd-swap
1 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 4 František Zatloukal 2017-08-21 16:20:35 UTC
Updated Review:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/fanys/review/1469767-systemd-
     swap/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Comment 5 Raphael Groner 2017-09-21 23:07:07 UTC
Thanks for your comments. Will update soonish, please be still patient.

Comment 6 Pavel Alexeev 2017-11-30 20:55:51 UTC
Raphael do you plan to continue?

Comment 7 Raphael Groner 2017-12-01 21:36:44 UTC
Less time available for development currently and so I can't promise anything, sorry. Do you have interest to take over for this request? We could close here and please feel free to take this as a base for your new request. You can add me as co-maintainer after imported the package.

Comment 8 Raphael Groner 2018-07-22 06:34:45 UTC
Is there anything what blocks the approval? Lost overview for this review, sorry.

Comment 9 Chris King 2018-07-25 18:25:43 UTC
(In reply to Raphael Groner from comment #8)
> Is there anything what blocks the approval? Lost overview for this review,
> sorry.

I am not yet sponsored as a package maintainer so this is an unofficial review.

You'll want to start by bumping the version to 4.0.1 to reflect the latest changes in upstream, you can also probably remove the kernel version requirement and change your make install line to %make_install. Otherwise, it LGTM.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/christopher/1469767-systemd-
     swap/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in systemd-swap
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: systemd-swap-3.3.0-1.fc29.noarch.rpm
          systemd-swap-3.3.0-1.fc29.src.rpm
systemd-swap.noarch: W: spelling-error Summary(en_US) zram -> ram, tram, cram
systemd-swap.noarch: W: spelling-error %description -l en_US zswap -> swap, z swap
systemd-swap.noarch: W: spelling-error %description -l en_US zram -> ram, tram, cram
systemd-swap.noarch: W: spelling-error %description -l en_US btrfs -> barfs
systemd-swap.noarch: W: spelling-error %description -l en_US swapon -> swap on, swap-on, Swanson
systemd-swap.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
systemd-swap.noarch: W: incoherent-version-in-changelog 3.0.0-1 ['3.3.0-1.fc29', '3.3.0-1']
systemd-swap.noarch: W: no-manual-page-for-binary systemd-swap
systemd-swap.src: W: spelling-error Summary(en_US) zram -> ram, tram, cram
systemd-swap.src: W: spelling-error %description -l en_US zswap -> swap, z swap
systemd-swap.src: W: spelling-error %description -l en_US zram -> ram, tram, cram
systemd-swap.src: W: spelling-error %description -l en_US btrfs -> barfs
systemd-swap.src: W: spelling-error %description -l en_US swapon -> swap on, swap-on, Swanson
systemd-swap.src: W: spelling-error %description -l en_US conf -> con, cone, cons
2 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
systemd-swap.noarch: W: spelling-error Summary(en_US) zram -> ram, tram, cram
systemd-swap.noarch: W: spelling-error %description -l en_US zswap -> swap, z swap
systemd-swap.noarch: W: spelling-error %description -l en_US zram -> ram, tram, cram
systemd-swap.noarch: W: spelling-error %description -l en_US btrfs -> barfs
systemd-swap.noarch: W: spelling-error %description -l en_US swapon -> swap on, swap-on, Swanson
systemd-swap.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
systemd-swap.noarch: W: incoherent-version-in-changelog 3.0.0-1 ['3.3.0-1.fc29', '3.3.0-1']
systemd-swap.noarch: W: invalid-url URL: https://github.com/Nefelim4ag/systemd-swap <urlopen error [Errno -2] Name or service not known>
systemd-swap.noarch: W: no-manual-page-for-binary systemd-swap
1 packages and 0 specfiles checked; 0 errors, 9 warnings.



Requires
--------
systemd-swap (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    config(systemd-swap)
    kernel
    kmod
    systemd
    systemd-sysv
    systemd-units
    util-linux



Provides
--------
systemd-swap:
    config(systemd-swap)
    systemd-swap



Source checksums
----------------
https://github.com/Nefelim4ag/systemd-swap/archive/3.3.0.tar.gz#/systemd-swap-3.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : 61e59919778a96880f0bff414cdd09f6c336bb3e60e5979630645dc739041b20
  CHECKSUM(SHA256) upstream package : 61e59919778a96880f0bff414cdd09f6c336bb3e60e5979630645dc739041b20


Generated by fedora-review 0.6.4 (f322a32) last change: 2018-07-21
Command line :/usr/bin/fedora-review -b 1469767
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, BATCH, DISTTAG, EPEL5, EPEL7, EPEL6

Comment 10 Raphael Groner 2019-01-15 16:39:18 UTC
> I am not yet sponsored as a package maintainer so this is an unofficial review.

FAS says you managed to get sponsored. Maybe you could continue with this review when I fixed the points mentioned in comment #9?

Comment 11 Raphael Groner 2019-01-15 16:41:32 UTC
Well, as far as I can understand there's nothing to block an official approval.

Comment 12 Robert-André Mauchin 2019-02-08 22:37:02 UTC
 - Fix:


BuildRequires: systemd-units

Requires(post): systemd-sysv
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

Requires: systemd

  Use:

BuildRequires: systemd-rpm-macros
%{?systemd_requires}


 - make install PREFIX=%{buildroot} → %make_install

 - Fix the Version-Release in your %changelog entry

Comment 13 Robert-André Mauchin 2019-02-08 22:37:59 UTC
 - Sorry

%make_install PREFIX=%{buildroot}

Comment 14 Robert-André Mauchin 2019-02-24 17:52:28 UTC
Any update here?

Comment 15 Raphael Groner 2019-02-24 18:37:21 UTC
(In reply to Robert-André Mauchin from comment #14)
> Any update here?

(In reply to Raphael Groner from comment #11)
> Well, as far as I can understand there's nothing to block an official
> approval.

Comment 16 Robert-André Mauchin 2019-04-10 17:26:33 UTC
None of this has been addressed:

(In reply to Robert-André Mauchin from comment #12)
>  - Fix:
> 
> 
> BuildRequires: systemd-units
> 
> Requires(post): systemd-sysv
> Requires(post): systemd-units
> Requires(preun): systemd-units
> Requires(postun): systemd-units
> 
> Requires: systemd
> 
>   Use:
> 
> BuildRequires: systemd-rpm-macros
> %{?systemd_requires}
> 
> 
>  - make install PREFIX=%{buildroot} → %make_install
> 
>  - Fix the Version-Release in your %changelog entry

Comment 17 Robert-André Mauchin 2019-04-10 17:27:55 UTC
 - Also ise:

Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Comment 18 Robert-André Mauchin 2019-04-10 17:29:35 UTC
# need Linux kernel version 2.6.37.1 or better to use zram
Requires: kernel >= 2.6.37.1

Use Requires: kmod(zram.ko)

Comment 19 Raphael Groner 2019-04-10 17:55:33 UTC
Thanks. I'll address all the hints ASAP.

Comment 20 Raphael Groner 2019-04-10 18:40:16 UTC
SPEC: https://raphgro.fedorapeople.org/review/util/systemd-swap.spec
SRPM: https://raphgro.fedorapeople.org/review/util/systemd-swap-3.3.0-2.fc29.src.rpm

* Wed Apr 10 2019 Raphael Groner <> - 3.3.0-2
- fix hints from package review
- simplify dependencies
- use macros
- note real version in changelog
- generate manpage

Successful test builds in Rawhide, F30 and F29.

Comment 21 Robert-André Mauchin 2019-04-10 21:30:16 UTC
 - The idea was to remove Requires: kernel >= 2.6.37.1 and replace it with Requires: kmod(zram.ko), not using both.

 - It's man1 not man.1:

install -d .%{_mandir}/man1
help2man -o .%{_mandir}/man1/%{name}.1 .%{_bindir}/%{name}


%{_mandir}/man1/%{name}.1*

Comment 22 Robert-André Mauchin 2019-04-10 21:39:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/systemd-
     swap/review-systemd-swap/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: systemd-swap-3.3.0-2.fc31.noarch.rpm
          systemd-swap-3.3.0-2.fc31.src.rpm
systemd-swap.noarch: W: spelling-error Summary(en_US) zram -> ram, tram, cram
systemd-swap.noarch: W: spelling-error %description -l en_US zswap -> swap, z swap
systemd-swap.noarch: W: spelling-error %description -l en_US zram -> ram, tram, cram
systemd-swap.noarch: W: spelling-error %description -l en_US btrfs -> barfs
systemd-swap.noarch: W: spelling-error %description -l en_US swapon -> swap on, swap-on, swapping
systemd-swap.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
systemd-swap.src: W: spelling-error Summary(en_US) zram -> ram, tram, cram
systemd-swap.src: W: spelling-error %description -l en_US zswap -> swap, z swap
systemd-swap.src: W: spelling-error %description -l en_US zram -> ram, tram, cram
systemd-swap.src: W: spelling-error %description -l en_US btrfs -> barfs
systemd-swap.src: W: spelling-error %description -l en_US swapon -> swap on, swap-on, swapping
systemd-swap.src: W: spelling-error %description -l en_US conf -> con, cone, cons
2 packages and 0 specfiles checked; 0 errors, 12 warnings.

Comment 23 Raphael Groner 2019-04-14 06:52:04 UTC
SPEC: https://raphgro.fedorapeople.org/review/util/systemd-swap.spec
SRPM: https://raphgro.fedorapeople.org/review/util/systemd-swap-3.3.0-3.fc29.src.rpm

Thanks for the review. Please let me know when you need a review for your packages and I can look.

Comment 24 Robert-André Mauchin 2019-04-14 12:24:34 UTC
LGTM, package aprroved.


I have a bunch of Go packages to review, see my post on the -devel mailing lists if you want to pick one.

Comment 25 Raphael Groner 2019-04-14 18:15:31 UTC
In assumption it's sufficient to build in rawhide only, for now. Please let me know if there's need for more branches.
https://pagure.io/releng/fedora-scm-requests/issue/11072

Comment 26 Gwyn Ciesla 2019-04-14 19:59:19 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/systemd-swap


Note You need to log in before you can comment on or make changes to this bug.